/**
 * @file
 * Multiselect dropdown Nightwatch tests.
 */
const path = require('path');

module.exports = {
  '@tags': ['multiselect_dropdown'],

  before: (browser) => {
    browser.drupalInstall({
      setupFile: path.normalize(`${__dirname}/../MultiselectDropdownInstallTestScript.php`),
      installProfile: 'minimal',
    });
  },

  after: (browser) => {
    browser.drupalUninstall();
  },

  /**
   * Test that submitting the form with enter does not open a multiselect.
   *
   * Tested here because Behat/Mink does not send the keypress necessary to
   * trigger form submit from the text input element.
   */
  'Pressing enter on a form element submits the form': (browser) => {
    const search = element('[data-drupal-selector="edit-title"]');
    browser
      .drupalRelativeURL('/multiselect-dropdown/view-ajax')
      .waitForElementVisible(search);
    browser.updateValue(search, ['Unused', browser.Keys.ENTER]);
    browser.waitForElementVisible(search);
    browser.assert.elementCount('.field-content', 1);
  },
};
